html{
  min-height: 100%;
  color: navajowhite;
  font-family: Constantia, "Times New Roman", "Times New Roman", serif;
  font-weight: normal;
}

@font-face {
  font-family: 'Rye';
  font-style: normal;
  font-weight: normal;
  src: url('fonts/Rye-Regular.ttf') format('woff2');
}

.content{
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
  overflow-x: hidden
}

.home-content{
  height: 100vh;
  margin-top:-180px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 4px;
}

header{
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  height: 180px;
  z-index: 100;
}

header::after{
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1;
  background: linear-gradient(to bottom, rgba(243, 158, 96, 0.7) 0%, rgba(243, 158, 96, 0) 80%);
  backdrop-filter: blur(20px);
  mask: linear-gradient(to top, transparent, rgb(243, 158, 96) 35%);
}

header img{
  margin: 10px;
  height: inherit;
}

body{
  background: linear-gradient(to bottom, rgb(124, 68, 79) 0%, rgb(159, 82, 85) 50%, rgb(225, 106, 84) 100%) no-repeat;
  background-size: cover;
  height: 100%;
  margin-top:180px !important;
  margin-left: 0;
  margin-right: 0;
  transition: margin-top 0.4s ease-out, opacity 0.7s;
  opacity: 0;
}

h1, h2, h3{
  font-family: 'Rye', serif !important;
  text-align: center;
}

.text{
  display: block;
  line-height:1.4;
  max-width: 800px;
  padding-left: 40px;
  padding-right: 40px;
  font-size: 1.75rem;
  overflow: hidden;
}

.home-content .text{
  max-width: 1080px !important;
}

.text img{
  float: inline-start;
  max-width: 300px;
  border-radius: 8px;
  margin-right: 40px;
  margin-top: 20px;
}

#medaille{
  position: relative;
  max-width: 200px !important;
  display: inline-block;
  left: 50%;
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
}

#landing-image{
  border-radius: 8px;
  margin-right: 40px;
  margin-left: 40px;
  max-width: 80%;
  max-height: 50vh;
  display: block;
  position: relative;
}

.active{
  text-decoration: underline;
}

.open{
  display: block !important;
  opacity: 100% !important;
}

.open-element{
  display: block !important;
}

.menu{
  font-family: "Rye", serif !important;
  background-color: rgba(255, 222, 173, 0.1);
  box-shadow: 0 .5rem 1rem rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(20px);
  border: 1px solid rgba(255, 222, 173, 0.4);
  border-radius: 0.5rem;
  padding: 10px;
  position: fixed;
  line-height: 2;
  font-size: 1.5rem;
  right: 40px;
  width: 270px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  z-index: 100;
}

.menu a{
  color: navajowhite;
  font-weight: bold;
  text-decoration: none;
}

.menu-dark a{
  color: navajowhite;
  text-decoration: none;
}

#calendar{
  display: block;
  line-height:1.4;
  max-width: 800px;
  margin-left: 20px;
  margin-right: 20px;
  font-size: 1.25rem;
  border-radius: 5px
}

#sidebar-button{
  display: none;
  position: relative;
  float: right;
  background: url("img/menu_icon.svg");
  width: 2rem;
  height: 2rem;
  border: none;
}

@media screen and (width < 1740px)  and (width >= 1480px){
  #landing{
    #sidebar-button{
      display: block;
    }
    .menu{
      width: auto;
      top:auto;
      bottom: 20px !important;
      right: 40px;
      -webkit-transform: translateY(0);
      -ms-transform: translateY(0);
      transform: translateY(0);
    }
    .menu-dark{
      background-color: rgba(54, 45, 54, 0.3);
      backdrop-filter: blur(40px);
    }
    #sidebar-options{
      display: block;
      width: 0;
      height: 0;
      transition: width 0.25s ease, height 0.25s ease, opacity 0.25s ease-in;
      opacity: 0;
    }
    #sidebar-options tr{
      display:none;
    }
    .open{
      width: 270px !important;
      height: 380px !important;
    }
  }
}

@media screen and (width < 1480px){
  #sidebar-button{
    display: block;
  }
  .menu{
    width: auto;
    top:auto;
    bottom: 20px !important;
    right: 40px;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
  }
  .menu-dark{
    background-color: rgba(54, 45, 54, 0.3);
    backdrop-filter: blur(40px);
  }
  #sidebar-options{
    display: block;
    width: 0;
    height: 0;
    transition: width 0.25s ease, height 0.25s ease, opacity 0.25s ease-in;
    opacity: 0;
  }
  #sidebar-options tr{
    display:none;
  }
  .open{
    width: 270px !important;
    height: 380px !important;
  }
  h1{
    font-size: 1.5em;
  }
  .text{
    font-size: 1.5rem;
  }
}

@media screen and (width < 840px){
  .text img{
    float: none;
    margin-left:50%;
    -webkit-transform: translateX(-50%) !important;
    -ms-transform: translateX(-50%) !important;
    transform: translateX(-50%) !important;
  }
  #medaille{
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
    left: 0;
  }
}

@media screen and (height < 840px){
  h1{
    font-size: 1.2em;
  }
  #landing-image{
    width: 60vw;
    max-height: 75vh;
    height: 75vh;
    object-fit: cover;
    object-position: 0 0;
    margin-bottom: 5vh;
  }
}

@media screen and (width < 660px){
  #landing-image{
    width: 100%;
    max-height: 50vh;
    height: 50vh;
    object-fit: cover;
    object-position: 0 0;
  }
}

@media screen and (width < 420px){
  .menu{
    right: 7vw;
  }
  .menu #sidebar-options{
    display: block;
    width: 0;
    height: 0;
    transition: width 0.35s ease, height 0.35s ease;
  }
  #sidebar-options tr{
    display:none;
  }
  .open{
    width: 80vw !important;
    height: 340px !important;
  }
  h1{
    font-size: 1.2em;
  }
  .text{
    font-size: 1.2rem;
  }
}
